Class Specialization
Adaptor Iterator
Adapts iterators to RootedIteratorConcept.

IteratorAssociatedTypesConcept

Iter

Adaptor Iterator

Iter<TContainer, AdaptorIterator<TIterator [, TSpec]> >
Include Headers
seqan/basic.h
Parameters

TContainer | Type of the container that can be iterated by TIterator. Remarks: Use Container to get the container type for a given iterator.
TIterator | Type of the iterator that is adapted to RootedIteratorConcept.

Remarks
Adaptor iterators can implicitly converted to TIterator.
Specialization of
Iter
Implements
IteratorAssociatedTypesConcept
Metafunctions

Container | Type of the container given an iterator. (Iter)
Difference | Type of an object that stores the difference between two iterators. (Iter)
GetValue | Type for reading values. (Iter)
Iterator | Type of iterator objects that are used to traverse the container. (Iter)
Position | Type of an object that represents a position in a container. (Iter)
Reference | Reference type. (Iter)
Spec | The spec of a class. (Iter)
Value | Type of the items in the container or behind an iterator. (Iter)

Member Functions

Iter | Constructor

Functions

assignValue | Assigns value to item. (Iter)
atBegin | Determines whether an iterator is at the beginning position. (Iter)
atEnd | Determines whether an iterator is at the end position. (Iter)
atEndOfSequence | Returns true if the iterator is at the end of a sequence. (Iter)
container | Container of an iterator. (Iter)
difference | The difference between two iterators. (Iter)
getValue | Access to the value. (Iter)
goBegin | Iterates to the first position of a container. (Iter)
goEnd | Iterates to the last position of a container. (Iter)
goFurther | Iterates some steps further. (Iter)
goNext | Iterates to next position. (Iter)
goPrevious | Iterates to pevious position. (Iter)
hostIterator | Return host iterator.
moveValue | Assigns value to item. (Iter)
position | Position of an iterator.
setContainer | Set container of an adaptor iterator.
setPosition | Sets the position of a finder.
value | Reference to the value. (Iter)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59